# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           berkeleydb-je3
Version:        3.2.76
Release:        1%{?dist}
Epoch:          0
Summary:        Berkeley DB Java Edition

Group:          Development/Libraries/Java
License:        BSD-style License
URL:            http://www.oracle.com/technology/products/berkeley-db/index.html
Source0:        http://download.oracle.com/berkeley-db/je-3.2.76.tar.gz
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/berkeleydb/je/3.2.76/je-3.2.76.pom
Patch0:         berkeleydb-je3-build_xml.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  junit
BuildRequires:  j2ee_connector_1_5_api
Requires:  java >= 0:1.5.0
Requires:  j2ee_connector_1_5_api

%description
Berkeley DB Java Edition is a high performance, transactional
storage engine written entirely in Java. Like the highly
successful Berkeley DB product, Berkeley DB Java Edition
executes in the address space of the application, without
the overhead of client/server communication. It stores data
in the application's native format, so no runtime data
translation is required. Berkeley DB Java Edition supports
full ACID transactions and recovery. It provides an easy-to-use,
programmatic interface, allowing developers to store and
retrieve information quickly, simply and reliably.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
Documents for %{name}

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
Examples for %{name}

%prep
%setup -q -n je-%{version}
%patch0 -b .sav0
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

%build
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-trax ant/ant-junit junit j2ee_connector_1_5_api"
ant \
  -Dj2ee.jarfile=$(build-classpath j2ee_connector_1_5_api) \
  jar javadoc-all 
# jar javadoc-all test-j2ee

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/lib/je.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/java/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
# FIXME: (dwalluck): This breaks rpmbuild -bi --short-circuit
rm -rf docs/java

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}

%files demo
%defattr(-,root,root,0755)
%{_datadir}/%{name}/examples

%changelog
* Wed Jun 17 2009 Ralph Apel <r.apel@r-apel.de> 3.2.76-1
- 3.2.76 as berkeleydb-je3

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 2.0.90-4
- Auto rebuild for JPackage 5 in mock

* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:2.1.30-3
- remove javadoc scriptlets
- fix doc location
- fix build root
- fix file permissions

* Fri Sep 07 2007 Fernando Nasser <fnasser@redhat.com> - 0:2.1.30-2jpp
  From Ralph Apel <r.apel at r-apel.de>:
- export OPT_JAR_LIST

* Fri Sep 07 2007 Fernando Nasser <fnasser@redhat.com> - 0:2.1.30-1jpp.ep1.1
- Rebuild

* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.1.30-1jpp_1rh
- Merge with upstream for upgrade

* Mon Apr 03 2006 Ralph Apel <r.apel at r-apel.de> - 0:2.1.30-1jpp
- Upgrade to 2.1.30

* Mon Mar 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp_1rh
- First Red Hat build

* Sun Mar 12 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp
- First JPP 1.7 build

* Tue Feb 08 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.7.0-1jpp
- First JPackage release
